Next: ATAN2, Previous: ASSOCIATED, Up: Intrinsic Procedures

### 8.21 `ATAN` — Arctangent function

Description:
  `ATAN(X)` computes the arctangent of X.
Standard:
  Fortran 77 and later, for a complex argument and for two arguments Fortran 2008 or later
Class:
  Elemental function
Syntax:

  `RESULT = ATAN(X)`
  `RESULT = ATAN(Y, X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`; if Y is present, X shall be REAL.
  Y shall be of the same type and kind as X.

Return value:
  The return value is of the same type and kind as X. If Y is present, the result is identical to `ATAN2(Y,X)`. Otherwise, it the arcus tangent of X, where the real part of the result is in radians and lies in the range -\pi/2 \leq \Re \atan(x) \leq \pi/2.
Example:

                program test_atan
                  real(8) :: x = 2.866_8
                  x = atan(x)
                end program test_atan

Specific names:

  Name | Argument | Return type | Standard
  `ATAN(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DATAN(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later

See also:
  Inverse function: TAN